MinMax
Statistical Operations

Primitives for computing both the minimal and the maximal values of an image. More...

## MinMax

The functions require the device scratch buffer.

### Common parameters for nppiMinMax functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pMin | Pointer to the computed minimal result.
  pMax | Pointer to the computed maximal result.
  pDeviceBuffer | Buffer to a scratch memory. Use nppiMinMax_XX_XXX to determine the minium number of bytes required.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus | nppiMinMax_8u_C1R (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pMin, Npp8u *pMax, Npp8u *pDeviceBuffer)
| One-channel 8-bit unsigned image MinMax. More...
NppStatus | nppiMinMax_16u_C1R (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp16u *pMin, Npp16u *pMax, Npp8u *pDeviceBuffer)
| One-channel 16-bit unsigned image MinMax. More...
NppStatus | nppiMinMax_16s_C1R (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp16s *pMin, Npp16s *pMax, Npp8u *pDeviceBuffer)
| One-channel 16-bit signed image MinMax. More...
NppStatus | nppiMinMax_32f_C1R (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32f *pMin, Npp32f *pMax, Npp8u *pDeviceBuffer)
| One-channel 32-bit floating point image MinMax. More...
NppStatus | nppiMinMax_8u_C3R (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u aMin[3], Npp8u aMax[3], Npp8u *pDeviceBuffer)
| Three-channel 8-bit unsigned image MinMax. More...
NppStatus | nppiMinMax_16u_C3R (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp16u aMin[3], Npp16u aMax[3], Npp8u *pDeviceBuffer)
| Three-channel 16-bit unsigned image MinMax. More...
NppStatus | nppiMinMax_16s_C3R (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp16s aMin[3], Npp16s aMax[3], Npp8u *pDeviceBuffer)
| Three-channel 16-bit signed image MinMax. More...
NppStatus | nppiMinMax_32f_C3R (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32f aMin[3], Npp32f aMax[3], Npp8u *pDeviceBuffer)
| Three-channel 32-bit floating point image MinMax. More...
NppStatus | nppiMinMax_8u_AC4R (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u aMin[3], Npp8u aMax[3], Npp8u *pDeviceBuffer)
| Four-channel 8-bit unsigned image MinMax ignoring alpha channel. More...
NppStatus | nppiMinMax_16u_AC4R (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp16u aMin[3], Npp16u aMax[3], Npp8u *pDeviceBuffer)
| Four-channel 16-bit unsigned image MinMax ignoring alpha channel. More...
NppStatus | nppiMinMax_16s_AC4R (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp16s aMin[3], Npp16s aMax[3], Npp8u *pDeviceBuffer)
| For common parameter descriptions, see Common parameters for nppiMinMax functions. More...
NppStatus | nppiMinMax_32f_AC4R (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32f aMin[3], Npp32f aMax[3], Npp8u *pDeviceBuffer)
| Four-channel 32-bit floating point image MinMax ignoring alpha channel. More...
NppStatus | nppiMinMax_8u_C4R (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u aMin[4], Npp8u aMax[4], Npp8u *pDeviceBuffer)
| Four-channel 8-bit unsigned image MinMax. More...
NppStatus | nppiMinMax_16u_C4R (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp16u aMin[4], Npp16u aMax[4], Npp8u *pDeviceBuffer)
| Four-channel 16-bit unsigned image MinMax. More...
NppStatus | nppiMinMax_16s_C4R (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp16s aMin[4], Npp16s aMax[4], Npp8u *pDeviceBuffer)
| Four-channel 16-bit signed image MinMax. More...
NppStatus | nppiMinMax_32f_C4R (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32f aMin[4], Npp32f aMax[4], Npp8u *pDeviceBuffer)
| Four-channel 32-bit floating point image MinMax. More...

## MinMaxGetBufferHostSize

Companion primitives for computing the device buffer size (in bytes) required by the MinMax primitives.
NppStatus | nppiMinMaxGetBufferHostSize_8u_C1R (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiMinMax_8u_C1R. More...
NppStatus | nppiMinMaxGetBufferHostSize_16u_C1R (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiMinMax_16u_C1R. More...
NppStatus | nppiMinMaxGetBufferHostSize_16s_C1R (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiMinMax_16s_C1R. More...
NppStatus | nppiMinMaxGetBufferHostSize_32f_C1R (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiMinMax_32f_C1R. More...
NppStatus | nppiMinMaxGetBufferHostSize_8u_C3R (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiMinMax_8u_C3R. More...
NppStatus | nppiMinMaxGetBufferHostSize_16u_C3R (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiMinMax_16u_C3R. More...
NppStatus | nppiMinMaxGetBufferHostSize_16s_C3R (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiMinMax_16s_C3R. More...
NppStatus | nppiMinMaxGetBufferHostSize_32f_C3R (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiMinMax_32f_C3R. More...
NppStatus | nppiMinMaxGetBufferHostSize_8u_AC4R (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiMinMax_8u_AC4R. More...
NppStatus | nppiMinMaxGetBufferHostSize_16u_AC4R (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiMinMax_16u_AC4R. More...
NppStatus | nppiMinMaxGetBufferHostSize_16s_AC4R (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiMinMax_16s_AC4R. More...
NppStatus | nppiMinMaxGetBufferHostSize_32f_AC4R (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiMinMax_32f_AC4R. More...
NppStatus | nppiMinMaxGetBufferHostSize_8u_C4R (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiMinMax_8u_C4R. More...
NppStatus | nppiMinMaxGetBufferHostSize_16u_C4R (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiMinMax_16u_C4R. More...
NppStatus | nppiMinMaxGetBufferHostSize_16s_C4R (NppiSize oSizeROI, int *hpBufferSize)
| Buffer size for nppiMinMax_16s_C4R. More...
NppStatus | nppiMinMaxGetBufferHostSize_32f_C4R (NppiSize oSizeROI, int *hpBufferSize)
| For common parameter descriptions, see CommonGetBufferHostSizeParameters. More...

## Detailed Description

Primitives for computing both the minimal and the maximal values of an image.

## Function Documentation

NppStatus nppiMinMax_16s_AC4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp16s | aMin[3],
|  | Npp16s | aMax[3],
|  | Npp8u * | pDeviceBuffer
| ) |  |

For common parameter descriptions, see Common parameters for nppiMinMax functions.

NppStatus nppiMinMax_16s_C1R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp16s * | pMin,
|  | Npp16s * | pMax,
|  | Npp8u * | pDeviceBuffer
| ) |  |

One-channel 16-bit signed image MinMax.

For common parameter descriptions, see Common parameters for nppiMinMax functions.

NppStatus nppiMinMax_16s_C3R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp16s | aMin[3],
|  | Npp16s | aMax[3],
|  | Npp8u * | pDeviceBuffer
| ) |  |

Three-channel 16-bit signed image MinMax.

For common parameter descriptions, see Common parameters for nppiMinMax functions.

NppStatus nppiMinMax_16s_C4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp16s | aMin[4],
|  | Npp16s | aMax[4],
|  | Npp8u * | pDeviceBuffer
| ) |  |

Four-channel 16-bit signed image MinMax.

For common parameter descriptions, see Common parameters for nppiMinMax functions.

NppStatus nppiMinMax_16u_AC4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp16u | aMin[3],
|  | Npp16u | aMax[3],
|  | Npp8u * | pDeviceBuffer
| ) |  |

Four-channel 16-bit unsigned image MinMax ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiMinMax functions.

NppStatus nppiMinMax_16u_C1R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp16u * | pMin,
|  | Npp16u * | pMax,
|  | Npp8u * | pDeviceBuffer
| ) |  |

One-channel 16-bit unsigned image MinMax.

For common parameter descriptions, see Common parameters for nppiMinMax functions.

NppStatus nppiMinMax_16u_C3R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp16u | aMin[3],
|  | Npp16u | aMax[3],
|  | Npp8u * | pDeviceBuffer
| ) |  |

Three-channel 16-bit unsigned image MinMax.

For common parameter descriptions, see Common parameters for nppiMinMax functions.

NppStatus nppiMinMax_16u_C4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp16u | aMin[4],
|  | Npp16u | aMax[4],
|  | Npp8u * | pDeviceBuffer
| ) |  |

Four-channel 16-bit unsigned image MinMax.

For common parameter descriptions, see Common parameters for nppiMinMax functions.

NppStatus nppiMinMax_32f_AC4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | aMin[3],
|  | Npp32f | aMax[3],
|  | Npp8u * | pDeviceBuffer
| ) |  |

Four-channel 32-bit floating point image MinMax ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiMinMax functions.

NppStatus nppiMinMax_32f_C1R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32f * | pMin,
|  | Npp32f * | pMax,
|  | Npp8u * | pDeviceBuffer
| ) |  |

One-channel 32-bit floating point image MinMax.

For common parameter descriptions, see Common parameters for nppiMinMax functions.

NppStatus nppiMinMax_32f_C3R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | aMin[3],
|  | Npp32f | aMax[3],
|  | Npp8u * | pDeviceBuffer
| ) |  |

Three-channel 32-bit floating point image MinMax.

For common parameter descriptions, see Common parameters for nppiMinMax functions.

NppStatus nppiMinMax_32f_C4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32f | aMin[4],
|  | Npp32f | aMax[4],
|  | Npp8u * | pDeviceBuffer
| ) |  |

Four-channel 32-bit floating point image MinMax.

For common parameter descriptions, see Common parameters for nppiMinMax functions.

NppStatus nppiMinMax_8u_AC4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u | aMin[3],
|  | Npp8u | aMax[3],
|  | Npp8u * | pDeviceBuffer
| ) |  |

Four-channel 8-bit unsigned image MinMax ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiMinMax functions.

NppStatus nppiMinMax_8u_C1R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pMin,
|  | Npp8u * | pMax,
|  | Npp8u * | pDeviceBuffer
| ) |  |

One-channel 8-bit unsigned image MinMax.

NppStatus nppiMinMax_8u_C3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u | aMin[3],
|  | Npp8u | aMax[3],
|  | Npp8u * | pDeviceBuffer
| ) |  |

Three-channel 8-bit unsigned image MinMax.

For common parameter descriptions, see Common parameters for nppiMinMax functions.

NppStatus nppiMinMax_8u_C4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u | aMin[4],
|  | Npp8u | aMax[4],
|  | Npp8u * | pDeviceBuffer
| ) |  |

Four-channel 8-bit unsigned image MinMax.

For common parameter descriptions, see Common parameters for nppiMinMax functions.

NppStatus nppiMinMaxGetBufferHostSize_16s_AC4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiMinMax_16s_AC4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinMaxGetBufferHostSize_16s_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiMinMax_16s_C1R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinMaxGetBufferHostSize_16s_C3R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiMinMax_16s_C3R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinMaxGetBufferHostSize_16s_C4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiMinMax_16s_C4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinMaxGetBufferHostSize_16u_AC4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiMinMax_16u_AC4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinMaxGetBufferHostSize_16u_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiMinMax_16u_C1R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinMaxGetBufferHostSize_16u_C3R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiMinMax_16u_C3R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinMaxGetBufferHostSize_16u_C4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiMinMax_16u_C4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinMaxGetBufferHostSize_32f_AC4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiMinMax_32f_AC4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinMaxGetBufferHostSize_32f_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiMinMax_32f_C1R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinMaxGetBufferHostSize_32f_C3R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiMinMax_32f_C3R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinMaxGetBufferHostSize_32f_C4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinMaxGetBufferHostSize_8u_AC4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiMinMax_8u_AC4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinMaxGetBufferHostSize_8u_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiMinMax_8u_C1R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinMaxGetBufferHostSize_8u_C3R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiMinMax_8u_C3R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinMaxGetBufferHostSize_8u_C4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

Buffer size for nppiMinMax_8u_C4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

Copyright © 2009-2017 NVIDIA Corporation